### Function

# GLib get_application_name

since: 2.2

#### Declaration [src]

    const gchar*
    g_get_application_name (
      void
    )

#### Description [src]

Gets a human-readable name for the application, as set by g_set_application_name(). This name should be localized if possible, and is intended for display to the user. Contrast with g_get_prgname(), which gets a non-localized name. If `g_set_application_name()` has not been called, returns the result of `g_get_prgname()` (which may be `NULL` if `g_set_prgname()` has also not been called).

Available since: 2.2

#### Return value

Type: `const gchar*`

Human-readable application name. May return `NULL`.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.